XFcPrimitiveDrawGradientFiller class Reference

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XFcPrimitiveDrawGradientFiller Class Reference

A base class for defining gradient fillers. More...

Inheritance diagram for XFcPrimitiveDrawGradientFiller:

[legend]
Collaboration diagram for XFcPrimitiveDrawGradientFiller:

[legend]
List of all members.

## Public Member Functions

virtual XFCIMPORT | ~XFcPrimitiveDrawGradientFiller ()
| Virtual destructor.
virtual XFCIMPORT void | initFill ()
| Initializes the filler for filling.
virtual XFCIMPORT void | deinitFill ()
| Deinitializes the filler after rendering.
virtual XFCIMPORT void | addGradientStop (REAL aOffset, UINT32 aColor)
| Adds a gradient stop to the gradient.
virtual XFCIMPORT void | resetGradient ()
| Reset the gradient, clears the gradient stops.
virtual XFCIMPORT void | setSpreadMethod (INT32 aSpreadMethod)
| Sets the spread method for the gradient.
virtual XFCIMPORT void | setTransformation (XFcMatrix3 &aTransformation)
| Sets the transformation for the gradient.
virtual XFCIMPORT void | setGradientTransformation (XFcMatrix3 &aGradientTransformation)
| Sets the gradient transformation for the gradient.

## Protected Member Functions

| XFcPrimitiveDrawGradientFiller ()
| Protected constuctor.
virtual INT | initGradient ()
| Inits the gradient, returns 0 if init fails.
virtual void | increaseStopNodeStorage ()
| Increases the size of the stop node storage list.
virtual void | calculateGradientData ()
| Calculates the gradient data based on the stop nodes.
virtual void | calculateGradientTransformation ()
| Calculates the gradient transformation.

## Protected Attributes

XFcPrimitiveDrawGradientStopNode * | mFirstStopNode
XFcPrimitiveDrawGradientStopNode * | mStopNodeStorage
UINT32 * | mGradientData
XFcMatrix3 | mGlobalTransformation
XFcMatrix3 | mTransformation
XFcMatrix3 | mGradientTransformation
INT32 | mSpreadMethod
INT32 | mRequiresUpdate

## Detailed Description

A base class for defining gradient fillers.

## Constructor & Destructor Documentation

virtual XFCIMPORT XFcPrimitiveDrawGradientFiller::~XFcPrimitiveDrawGradientFiller | ( |  | ) | `[virtual]`

| Virtual destructor.

XFcPrimitiveDrawGradientFiller::XFcPrimitiveDrawGradientFiller | ( |  | ) | `[protected]`

| Protected constuctor.

## Member Function Documentation

virtual XFCIMPORT void XFcPrimitiveDrawGradientFiller::addGradientStop | ( | REAL | aOffset,
|  | UINT32 | aColor
| ) | `[virtual]`

| Adds a gradient stop to the gradient.

virtual void XFcPrimitiveDrawGradientFiller::calculateGradientData | ( |  | ) | `[protected, virtual]`

| Calculates the gradient data based on the stop nodes.

virtual void XFcPrimitiveDrawGradientFiller::calculateGradientTransformation | ( |  | ) | `[protected, virtual]`

| Calculates the gradient transformation. Reimplemented in XFcPrimitiveDrawLinearGradientFiller.

virtual XFCIMPORT void XFcPrimitiveDrawGradientFiller::deinitFill | ( |  | ) | `[inline, virtual]`

| Deinitializes the filler after rendering. This should be called after calling fill() for the last filled span. Implements XFcPrimitiveDrawFiller.

virtual void XFcPrimitiveDrawGradientFiller::increaseStopNodeStorage | ( |  | ) | `[protected, virtual]`

| Increases the size of the stop node storage list.

virtual XFCIMPORT void XFcPrimitiveDrawGradientFiller::initFill | ( |  | ) | `[virtual]`

| Initializes the filler for filling. This should be called before calling fill() for the first filled span. Implements XFcPrimitiveDrawFiller.

virtual INT XFcPrimitiveDrawGradientFiller::initGradient | ( |  | ) | `[protected, virtual]`

| Inits the gradient, returns 0 if init fails.

virtual XFCIMPORT void XFcPrimitiveDrawGradientFiller::resetGradient | ( |  | ) | `[virtual]`

| Reset the gradient, clears the gradient stops.

virtual XFCIMPORT void XFcPrimitiveDrawGradientFiller::setGradientTransformation | ( | XFcMatrix3 & | aGradientTransformation | ) | `[virtual]`

| Sets the gradient transformation for the gradient. This is the transformation that is applied when transforming from gradient space to rendering space, and allows operations such as skewing the gradient.

virtual XFCIMPORT void XFcPrimitiveDrawGradientFiller::setSpreadMethod | ( | INT32 | aSpreadMethod | ) | `[virtual]`

| Sets the spread method for the gradient. Possible values are XFC_PRIMITIVEDRAW_GRADIENT_SPREAD_PAD, XFC_PRIMITIVEDRAW_GRADIENT_SPREAD_REFLECT and XFC_PRIMITIVEDRAW_GRADIENT_SPREAD_REPEAT

virtual XFCIMPORT void XFcPrimitiveDrawGradientFiller::setTransformation | ( | XFcMatrix3 & | aTransformation | ) | `[virtual]`

| Sets the transformation for the gradient. This is the transformation of the shape which is filled with the gradient.

## Member Data Documentation

XFcPrimitiveDrawGradientStopNode* XFcPrimitiveDrawGradientFiller::mFirstStopNode`[protected]`

XFcMatrix3 XFcPrimitiveDrawGradientFiller::mGlobalTransformation`[protected]`

UINT32* XFcPrimitiveDrawGradientFiller::mGradientData`[protected]`

XFcMatrix3 XFcPrimitiveDrawGradientFiller::mGradientTransformation`[protected]`

INT32 XFcPrimitiveDrawGradientFiller::mRequiresUpdate`[protected]`

INT32 XFcPrimitiveDrawGradientFiller::mSpreadMethod`[protected]`

XFcPrimitiveDrawGradientStopNode* XFcPrimitiveDrawGradientFiller::mStopNodeStorage`[protected]`

XFcMatrix3 XFcPrimitiveDrawGradientFiller::mTransformation`[protected]`

|  | X-Forge Documentation Confidential Copyright © 2002-2003 Fathammer |  | Documentation generated with doxygen by Dimitri van Heesch